auth.v1.ApiKeyService
DeleteApiKey
Revoke an API key permanently.
Method
POST
Path
auth.v1.ApiKeyService/DeleteApiKey
Service
auth.v1.ApiKeyService
Visibility
Authentication
Session token
MFA Requirement
POST
auth.v1.ApiKeyService/DeleteApiKey Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/auth.v1.ApiKeyService/DeleteApiKey' \
--header 'Content-Type: application/json' \
--header 'Connect-Protocol-Version: 1' \
--data '{
"keyId": "ak_1a3c6de8153d5a5b04cd2a6529779542"
}'Responses
{}Request
auth.v1.DeleteApiKeyRequestResponse
auth.v1.DeleteApiKeyResponse keyId string
Opaque API key identifier (e.g. "ak_<hex>"). This is the stable public handle for a key.
No response fields documented for this type.
| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |